Recovery Contacts
Request contact challenge
POST
Requires scope recovery-contacts:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
application/json- body
contact*stringThe address to bind the challenge to.
Format
emailLength
length <= 320Response Body
200application/json
Challenge issued
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X POST 'https://api.pilot.shiga.io/v1/recovery-contacts/challenge' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "contact": "user@example.com"}'Example Response
{ "data": { "challenge": "q1w2e3r4t5y6u7i8o9p0" }, "status": 200, "success": true}